## CheeseAvatarChooser CheeseAvatarChooser |

## Synopsis

                        CheeseAvatarChooserClass;
                        CheeseAvatarChooser;
    GtkWidget *         cheese_avatar_chooser_new           (void);
    GdkPixbuf *         cheese_avatar_chooser_get_picture   (CheeseAvatarChooser *chooser);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkDialog
                                                 +----CheeseAvatarChooser

## Implemented Interfaces

CheeseAvatarChooser implements AtkImplementorIface and GtkBuildable.

## Properties

      "pixbuf"                   GdkPixbuf*            : Read

## Description

## Details

### CheeseAvatarChooserClass

    typedef struct {
      GtkDialogClass parent_class;
    } CheeseAvatarChooserClass;

### CheeseAvatarChooser

    typedef struct _CheeseAvatarChooser CheeseAvatarChooser;

### cheese_avatar_chooser_new ()

    GtkWidget *         cheese_avatar_chooser_new           (void);

Returns a new CheeseAvatarChooser dialogue.

Returns : | a CheeseAvatarChooser widget.

### cheese_avatar_chooser_get_picture ()

    GdkPixbuf *         cheese_avatar_chooser_get_picture   (CheeseAvatarChooser *chooser);

Returns the portion of image selected through the builtin cropping tool, after a picture has been captured on the webcam.

`chooser` : | a CheeseAvatarChooser dialogue.
Returns : | a GdkPixbuf object, or `NULL` if no picture has been taken yet.

## Property Details

### The `"pixbuf"` property

      "pixbuf"                   GdkPixbuf*            : Read

a GdkPixbuf object representing the cropped area of the picture, or `NULL`.